@echo off
cls
@echo -------------------------------------------------------------------.
@echo - CCN-STIC-880 Extensiones adicionales en IIS 8.5                  .
@echo -------------------------------------------------------------------.
@echo                                                                    .
@echo  Este script securiza y agrega una serie de extensiones            .
@echo  adicionales en las solicitudes de Internet Information            .
@echo  Services 8.5 (IIS) que son necesarias para la funcionalidad       .
@echo  del OWA de Exchange 2013                                          .
@echo                                                                    .
pause


cls

cd %WINDIR%\System32\Inetsrv
appcmd set config /section:requestfiltering /allowhighbitcharacters:true 
appcmd set config /section:requestfiltering /fileExtensions.allowunlisted:false 
appcmd set config /section:requestfiltering /fileExtensions.applyToWebDAV:true 

appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.aspx',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.axd',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.cs',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.css',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.gif',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.htm',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.html',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.jpg',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.jpeg',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.png',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.txt',allowed='true']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.asa',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.asax',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.asp',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.bat',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.cdx',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.cer',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.cmd',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.com',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.dat',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.exe',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.htr',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.htw',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.ida',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.idc',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.idq',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.ini',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.log',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.pol',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.printer',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.shtm',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.shtml',allowed='false']
appcmd set config /section:requestfiltering /+fileExtensions.[fileextension='.stm',allowed='false']
appcmd set config /section:system.webserver/security/requestfiltering /-fileExtensions.[fileextension='.ashx',allowed='false']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.ashx',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /-fileExtensions.[fileextension='.js',allowed='false']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.js',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.owa',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.svc',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.ttf',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.eot',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.owa2',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.slab',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.asmx',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.check',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /-fileExtensions.[fileextension='.dll',allowed='false']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.dll',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /-fileExtensions.[fileextension='.xml',allowed='false']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.xml',allowed='true']
appcmd set config /section:system.webserver/security/requestfiltering /+fileExtensions.[fileextension='.eas',allowed='true']


appcmd set config /section:requestfiltering /verbs.allowunlisted:false 
appcmd set config /section:requestfiltering /verbs.applyToWebDAV:true 

appcmd set config /section:requestfiltering /+verbs.[verb='GET',allowed='true']
appcmd set config /section:requestfiltering /+verbs.[verb='HEAD',allowed='true'] 
appcmd set config /section:requestfiltering /+verbs.[verb='POST',allowed='true']

appcmd set config /section:requestfiltering /+verbs.[verb='PROPFIND',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='PROPPATCH',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='MKCOL',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='DELETE',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='PUT',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='COPY',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='MOVE',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='LOCK',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='UNLOCK',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='OPTIONS',allowed='false'] 
appcmd set config /section:requestfiltering /+verbs.[verb='SEARCH',allowed='false']

appcmd set config /section:requestFiltering /hiddenSegments.applyToWebDAV:false
appcmd set config /section:requestFiltering /+hiddenSegments.[segment='web.config']

appcmd set config /section:requestfiltering /+requestlimits.headerLimits.[header='Translate:',sizelimit='0'] 
appcmd set config /section:requestfiltering /+requestlimits.headerLimits.[header='If:',sizelimit='0'] 
appcmd set config /section:requestfiltering /+requestlimits.headerLimits.[header='Lock-Token:',sizelimit='0'] 
appcmd set config /section:requestfiltering /+requestlimits.headerLimits.[header='Transfer-Encoding:',sizelimit='0'] 

appcmd start site /site.name:"Default Web Site"

@echo                                                                   .
pause